=== debian/changelog ===
ros-indigo-jsk-maps (0.0.4-0trusty) trusty; urgency=high

  * [jsk_maps] add README.md
  * [jsk_maps] cleanup; add option: launch_map_server
  * [jsk_maps][dump-map-info.l] fix: indent
  * add ARCHDIR for LinuxARM
  * use image filename relative to current yaml file
  * [jsk_maps/raw_maps/eng2-7f-0.05.pgm] update 73b2 7f map
  * Contributors: Kei Okada, Yuki Furuta

 -- Manabu Saito, Haseru Chen and Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Mar 2017 15:00:00 -0000

ros-indigo-jsk-maps (0.0.3-0trusty) trusty; urgency=high

  * add keepout maps
  * use queue_size=1
  * add depends to jsk_rviz_plugins
  * [jsk_maps/src/eng2-scene.l] add /eng2/8f/room83b1-front spot
  * Contributors: Yuki Furuta, Kei Okada

 -- Manabu Saito, Haseru Chen and Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 10 Feb 2016 15:00:00 -0000

ros-indigo-jsk-maps (0.0.2-0trusty) trusty; urgency=high

  * Ignore auto generated files
  * [jsk_maps] update jsk eng2 7f 73b2 map data
  * Contributors: Yuki Furuta, Kentaro Wada

 -- Manabu Saito, Haseru Chen and Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-indigo-jsk-maps (0.0.1-0trusty) trusty; urgency=high

  * [jsk_maps] add multi_map_server deps for jsk_maps
  * [jsk_demos] remove rosmake files
  * Merge pull request #154 from garaemon/fc-ocs-ui-integration-go-pos
    [drc_com_common, drc_task_common] Add image_view2 based user interface.
  * [jsk_maps] Use find_package to lookup euslisp directory
  * [jsk_maps] Use find_package to lookup euslisp directory
  * [jsk_maps] Disable X by unsetting DISPLAY variable during compilation to avoid init-x error on catkin build
  * [jsk_maps] Disable X by unsetting DISPLAY variable during compilation to avoid init-x error on catkin build
  * [jsk_maps] use euslisp to generate map files rather than roseus
  * Publish spot as pictogram rather than marker
  * hook ros function on catkin_make in roseus
  * Revert "add geometry_msgs to dependencies"
    This reverts commit a78e42e9d41a8485cf1dd001bf95b7a2a1734f62.
  * add geneus msg to dependencies
  * add geometry_msgs to dependencies
  * fix typo at CMakeLists.txt
  * add launch files to script output dependencies
  * fix roseus bin directory
  * not use rosrun in CMakeLists.txt
  * add empty_map launch, pgm and yaml
  * add post proess to generate launchs automatically
  * avoid multiple spot decleration
  * remove autogenerated yaml under git
  * changed eng2-scene.l
  * changed 73b2 map
  * changed open-fridge-door function in pr2-action.l
  * Fix package name, topic names for hydro
  * add package.xml to jsk_maps
  * modified open-fridge-door function in pr2-action.l
  * Rename exeucutable name of the package multi_map_server from map_server to multi_map_server
  * update error message
  * add error message line and prevent many warning message if the target-tf is empty
  * add eng2-1f maps and elevator-outside spot
  * add 1f outside
  * h-kamada changed eng2-scene.l for eng2/1f
  * update eng2-7f-0.05.pgm
  * remove 73b2 doot to go to the elevator!!
  * support MACHINE argument on start_map_eng2.launch and start_map_eng8.launch
  * update spot /eng2/7f/room73B2-counter-side
  * updated eng2/7f/73b2
  * update spots at room73b2
  * update spot at /eng2/7f/73b2
  * change some map data
  * updated eng2/7f/73b2
  * update room73B2 map
  * cleanup codes and publish tf at 100 hz, see [#208]
  * change name of laundry spot
  * fix typo estq -> setq
  * add laundry to eng8-scene.l
  * add room602, ro10
  * support scene parameter in tool/publish_spot
  * commit fix dump-map-info, this differs eng2-3f-0.05.yaml from  [-13.0, -48.5, 0] to [-8.0, -53.5, 0]
  * remove autogenerated files when make clean
  * hvs2rgv is suport in jskeus r845
  * fix room610 position
  * set /eng8/6f/610 tf frame [#78]
  * update eng8-6f-0.05.pgm
  * set eng8 default floor
  * add auto generation eng #8 map
  * add 610 map
  * fixed fridge-front spot
  * update room73B2 map
  * updated 73B2 map
  * fix: all nodes should be identical
  * update 73B2 scene
  * update 73B2 map
  * updated pose of refridge
  * updated 73a3 floor
  * fix radius from 60->61 to avoid face-to-face alignment warning message
  * fix publish_spot
  * set output screen : publish_spot.l
  * add to l aunch publish_spot.l
  * fix : update spot publisher, read /map_tf_mux/selected to get current map and publish only that floor
  * update spot publisher, read /map_tf_mux/selected to get current map and publish only that floor
  * update map of 73B2 on 20120731
  * fixed coords of fridge-front
  * new spots
  * new map for 7f
  * changed fridge-front spot
  * new map for 73a3
  * update eng2-7f-map
  * udpate room73b2 map
  * uddate fridge position
  * jsk_maps requires roseus
  * add dependency for multi_map_server
  * new maps for 73b1
  * moved the spots for picking cups
  * moved mini kitchen spot
  * remove noize in map eng6-*f
  * added seminar B and C
  * remove noize in map eng6-3f
  * add eng6 scene
  * fixed the rotation on the eng6 maps, the center is elevator now
  * changed check condition of spot to convert owl
  * added eng6 all floor
  * added a map of eng6-3f
  * fixed eus -> owl script, remove vert type map (it is default now)
  * fixed building-model and eng8 model
  * incf x on coe-shelf
  * comma is needed in the code
  * add spot for opening fridge
  * added coe-spot and kitchen spot
  * move unassocd spots in rooms, same as room
  * added ipad demo spot for new map
  * add eng2 5f map, not edited version
  * changed map manager, map_server2 -> multi_map_manager in jsk_maps
  * use rosrun roseus rosues instead of roseus
  * last argument of static_transform_publisher is not hz, but msec
  * remove internal package name from manifest
  * make default-floor in dump script
  * changed to use vertical building model in jsk_maps
  * update vertical map launch
  * changed room wall position
  * moved conatenated-map utilities to old directory
  * fixed m -> mm to dumped yaml file

