=== debian/control ===
Source: ros-indigo-jsk-maps
Section: misc
Priority: extra
Maintainer: Manabu Saito, Haseru Chen and Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), imagemagick, ros-indigo-catkin, ros-indigo-euslisp, ros-indigo-geometry-msgs, ros-indigo-jsk-rviz-plugins, ros-indigo-jskeus, ros-indigo-multi-map-server
Homepage: http://ros.org/wiki/jsk_maps
Standards-Version: 3.9.2

Package: ros-indigo-jsk-maps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick, ros-indigo-euslisp, ros-indigo-geometry-msgs, ros-indigo-jsk-rviz-plugins, ros-indigo-jskeus, ros-indigo-multi-map-server
Description: jsk_maps
